"use strict";

var _replaceMarkdownParams = _interopRequireDefault(require("./replaceMarkdownParams"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/*
 * Author: Andrieiev Danil |  danssg08@gmail.com | https://github.com/DanilAndreev
 * Copyright (C) 2020.
 */
describe("Utils -> replaceMarkdownParams", function () {
  test("Replace single variable", function () {
    var source = "Hello darkness my &&text friend";
    var expected = "Hello darkness my old friend";
    expect((0, _replaceMarkdownParams.default)(source, {
      text: "old"
    })).toEqual(expected);
  });
  test("Replace variable inside codespan", function () {
    var source = "Hello darkness my ```&&text``` friend";
    var expected = "Hello darkness my ```old``` friend";
    expect((0, _replaceMarkdownParams.default)(source, {
      text: "old"
    })).toEqual(expected);
  });
  test("Replace multiple variables", function () {
    var source = "Hello __&&text1__ my ```&&text2``` friend";
    var expected = "Hello __darkness__ my ```old``` friend";
    expect((0, _replaceMarkdownParams.default)(source, {
      text1: "darkness",
      text2: "old"
    })).toEqual(expected);
  });
  test("Replace nested variables", function () {
    var source = "Hello darkness &&text friend";
    var expected = "Hello darkness my old friend";
    expect((0, _replaceMarkdownParams.default)(source, {
      text: "my &&nested",
      nested: "old"
    })).toEqual(expected);
  });
});